<html><head>
      <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
   <title>lat_laam</title><link rel="stylesheet" href="javahelp.css" type="text/css"><meta name="generator" content="DocBook XSL Stylesheets V1.75.2"><link rel="home" href="index.html" title="Lattice Algebra Toolbox"><link rel="up" href="section_094ddc85e2564d3a6ffbd15263ec44a0.html" title="Part&nbsp;I.&nbsp;Lattice Algebra Toolbox"><link rel="prev" href="lat_isminfixedpoint.html" title="lat_isminfixedpoint"><link rel="next" href="lat_lham.html" title="lat_lham"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div lang="en" class="refentry" title="lat_laam"><a name="lat_laam"></a><div class="titlepage"></div>
  

  <div class="refnamediv"><h2>Name</h2><p>
    lat_laam

     &#8212; Lattice Auto-Associative Memories (LAAM) from scilab
  </p></div>

  <div class="refsynopsisdiv" title="Execution"><h2>Execution</h2>
    
    <pre class="synopsis">[W,M] = lat_laam(valA)</pre>
  </div>

  <div class="refsection" title="Description"><a name="d4e107"></a><h2>Description</h2>
    
    <p>Return the dilative and erosive Lattice Auto-Associative Memories (LAAM) of input-ouput patterns (valA).</p>
    <p>Input parameter valA must be a real valued matrix of dimensions nxp containing the patterns to be stored in the memories.</p>
    <p>output parameter W will be a real valued matrix of dimensions mxn containing the erosive LAM.</p>
    <p>output parameter M will be a real valued matrix of dimensions mxn containing the dilative LAM.</p>
  </div>

  <div class="refsection" title="Examples"><a name="d4e113"></a><h2>Examples</h2>
    
    <pre class="programlisting">valA = rand(5,3)</pre>
    <pre class="programlisting">[W,M] = lat_laam(valA)</pre>
  </div>

  <div class="refsection" title="Authors"><a name="d4e117"></a><h2>Authors</h2>
    
    <table border="0" summary="Simple list" class="simplelist"><tr><td>
	<span class="author">Miguel A. Veganzones</span>
      </td></tr></table>
  </div>
</div></body></html>